org.springframework.cglib.beans

## Class FixedKeySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet
    - - org.springframework.cglib.beans.FixedKeySet

- All Implemented Interfaces:
    Iterable, Collection, Set

      public class FixedKeySet
      extends AbstractSet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedKeySet(String[] keys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### FixedKeySet

          public FixedKeySet(String[] keys)

  - ### Method Detail

    - #### iterator

          public Iterator iterator()

      Specified by:
        `iterator` in interface `Iterable`
      Specified by:
        `iterator` in interface `Collection`
      Specified by:
        `iterator` in interface `Set`
      Specified by:
        `iterator` in class `AbstractCollection`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`
      Specified by:
        `size` in interface `Set`
      Specified by:
        `size` in class `AbstractCollection`